Subject: Re: [PATCH V1] net: qrtr: ns: Return 0 if server port is not present

From: [email-masked]
Date: Mon, 01 Jan 2024 18:50:24 +0000

Hello:

This patch was applied to netdev/net.git (main)
by David S. Miller <[email-masked]>:

On Thu, 21 Dec 2023 15:36:51 +0530 you wrote:
> When a 'DEL_CLIENT' message is received from the remote, the corresponding
> server port gets deleted. A DEL_SERVER message is then announced for this
> server. As part of handling the subsequent DEL_SERVER message, the name-
> server attempts to delete the server port which results in a '-ENOENT' error.
> The return value from server_del() is then propagated back to qrtr_ns_worker,
> causing excessive error prints.
> To address this, return 0 from control_cmd_del_server() without checking the
> return value of server_del(), since the above scenario is not an error case
> and hence server_del() doesn't have any other error return value.
> 
> [...]

Here is the summary with links:
  - [V1] net: qrtr: ns: Return 0 if server port is not present
    https://git.kernel.org/netdev/net/c/9bf2e9165f90

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html